package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 
 */
public class CusOrderResp implements Serializable {
    private static final long serialVersionUID = 7789227795330105910L;
    /**
     * 电子订单回执内部编号
     */
    private String cusOrderRespSn;

    /**
     * 电子订单内部编号
     */
    private String cusOrderSn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 业务消息代码，0:成功，1:失败，2:海关申报中
     */
    private String bizInfoCode;

    /**
     * 业务消息描述
     */
    private String bizInfoDesc;

    /**
     * 平台回执代码
     */
    private String platRespCode;

    /**
     * 平台回执描述
     */
    private String platRespDesc;

    /**
     * 海关回执代码
     */
    private String cusRespCode;

    /**
     * 海关回执描述
     */
    private String cusRespDesc;

    /**
     * 国检回执代码
     */
    private String ciqRespCode;

    /**
     * 国检回执描述
     */
    private String ciqRespDesc;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    public String getCusOrderRespSn() {
        return cusOrderRespSn;
    }

    public void setCusOrderRespSn(String cusOrderRespSn) {
        this.cusOrderRespSn = cusOrderRespSn;
    }

    public String getCusOrderSn() {
        return cusOrderSn;
    }

    public void setCusOrderSn(String cusOrderSn) {
        this.cusOrderSn = cusOrderSn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getBizInfoCode() {
        return bizInfoCode;
    }

    public void setBizInfoCode(String bizInfoCode) {
        this.bizInfoCode = bizInfoCode;
    }

    public String getBizInfoDesc() {
        return bizInfoDesc;
    }

    public void setBizInfoDesc(String bizInfoDesc) {
        this.bizInfoDesc = bizInfoDesc;
    }

    public String getPlatRespCode() {
        return platRespCode;
    }

    public void setPlatRespCode(String platRespCode) {
        this.platRespCode = platRespCode;
    }

    public String getPlatRespDesc() {
        return platRespDesc;
    }

    public void setPlatRespDesc(String platRespDesc) {
        this.platRespDesc = platRespDesc;
    }

    public String getCusRespCode() {
        return cusRespCode;
    }

    public void setCusRespCode(String cusRespCode) {
        this.cusRespCode = cusRespCode;
    }

    public String getCusRespDesc() {
        return cusRespDesc;
    }

    public void setCusRespDesc(String cusRespDesc) {
        this.cusRespDesc = cusRespDesc;
    }

    public String getCiqRespCode() {
        return ciqRespCode;
    }

    public void setCiqRespCode(String ciqRespCode) {
        this.ciqRespCode = ciqRespCode;
    }

    public String getCiqRespDesc() {
        return ciqRespDesc;
    }

    public void setCiqRespDesc(String ciqRespDesc) {
        this.ciqRespDesc = ciqRespDesc;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusOrderResp other = (CusOrderResp) that;
        return (this.getCusOrderRespSn() == null ? other.getCusOrderRespSn() == null : this.getCusOrderRespSn().equals(other.getCusOrderRespSn()))
            && (this.getCusOrderSn() == null ? other.getCusOrderSn() == null : this.getCusOrderSn().equals(other.getCusOrderSn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getBizInfoCode() == null ? other.getBizInfoCode() == null : this.getBizInfoCode().equals(other.getBizInfoCode()))
            && (this.getBizInfoDesc() == null ? other.getBizInfoDesc() == null : this.getBizInfoDesc().equals(other.getBizInfoDesc()))
            && (this.getPlatRespCode() == null ? other.getPlatRespCode() == null : this.getPlatRespCode().equals(other.getPlatRespCode()))
            && (this.getPlatRespDesc() == null ? other.getPlatRespDesc() == null : this.getPlatRespDesc().equals(other.getPlatRespDesc()))
            && (this.getCusRespCode() == null ? other.getCusRespCode() == null : this.getCusRespCode().equals(other.getCusRespCode()))
            && (this.getCusRespDesc() == null ? other.getCusRespDesc() == null : this.getCusRespDesc().equals(other.getCusRespDesc()))
            && (this.getCiqRespCode() == null ? other.getCiqRespCode() == null : this.getCiqRespCode().equals(other.getCiqRespCode()))
            && (this.getCiqRespDesc() == null ? other.getCiqRespDesc() == null : this.getCiqRespDesc().equals(other.getCiqRespDesc()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusOrderRespSn() == null) ? 0 : getCusOrderRespSn().hashCode());
        result = prime * result + ((getCusOrderSn() == null) ? 0 : getCusOrderSn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getBizInfoCode() == null) ? 0 : getBizInfoCode().hashCode());
        result = prime * result + ((getBizInfoDesc() == null) ? 0 : getBizInfoDesc().hashCode());
        result = prime * result + ((getPlatRespCode() == null) ? 0 : getPlatRespCode().hashCode());
        result = prime * result + ((getPlatRespDesc() == null) ? 0 : getPlatRespDesc().hashCode());
        result = prime * result + ((getCusRespCode() == null) ? 0 : getCusRespCode().hashCode());
        result = prime * result + ((getCusRespDesc() == null) ? 0 : getCusRespDesc().hashCode());
        result = prime * result + ((getCiqRespCode() == null) ? 0 : getCiqRespCode().hashCode());
        result = prime * result + ((getCiqRespDesc() == null) ? 0 : getCiqRespDesc().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusOrderRespSn=").append(cusOrderRespSn);
        sb.append(", cusOrderSn=").append(cusOrderSn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", bizInfoCode=").append(bizInfoCode);
        sb.append(", bizInfoDesc=").append(bizInfoDesc);
        sb.append(", platRespCode=").append(platRespCode);
        sb.append(", platRespDesc=").append(platRespDesc);
        sb.append(", cusRespCode=").append(cusRespCode);
        sb.append(", cusRespDesc=").append(cusRespDesc);
        sb.append(", ciqRespCode=").append(ciqRespCode);
        sb.append(", ciqRespDesc=").append(ciqRespDesc);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append("]");
        return sb.toString();
    }
}