package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusAlipayStatus;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CusAlipayStatusMapper {

    /**
     * 单个插入支付单状态表
     * @param record
     * @return
     */
    int insert(CusAlipayStatus record);

    int insertSelective(CusAlipayStatus record);

    /**
     * 批量插入支付单状态表
     * @param cusAlipayStatuses
     * @return
     */
    int insertCusAlipayStatusItemBatch(List<CusAlipayStatus> cusAlipayStatuses);

    /**
     * 通过支付单内部编号查找支付单状态表
     * @param map
     * @return
     */
    CusAlipayStatus findCusAlipayStatus(Map<String, Object> map);

    /**
     * 更新支付单状态
     * @param cusAlipayStatus
     * @return
     */
    int updateCusAlipayStatus(CusAlipayStatus cusAlipayStatus);

    /**
     * 批量更新支付单状态
     * @param list
     * @return
     */
    int updateCusAlipayStatusBatch(List list);
}