package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.domain.ccnet.CusOrderGoods;
import com.emato.ccnet.mapper.ccnet.CusOrderGoodsMapper;
import com.emato.ccnet.mapper.ccnet.CusOrderStatusMapper;
import com.emato.ccnet.service.ccent.CusOrderGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CusOrderGoodsImpl implements CusOrderGoodsService{

    @Autowired
    private CusOrderGoodsMapper cusOrderGoodsMapper;

    /**
     * 通过电子订单内部编号查找电子订单商品
     * @param cusOrderSn
     * @return
     */
    @Override
    public List<CusOrderGoods> findCusOrderGoodsByCusOrderSn(String cusOrderSn) {
        return cusOrderGoodsMapper.findCusOrderGoodsByCusOrderSn(cusOrderSn);
    }

    /**
     * 更新电子订单内部表数据
     * @param cusOrderGoods
     * @return
     */
    @Override
    public int updateCusOrederGoods(CusOrderGoods cusOrderGoods) {
        return cusOrderGoodsMapper.updateCusOrederGoods(cusOrderGoods);
    }
}
