package com.emato.ccnet.service.kmall.impl;

import com.emato.ccnet.domain.kmall.Seller;
import com.emato.ccnet.mapper.kmall.KmallSellerMapper;
import com.emato.ccnet.service.kmall.KmallSellerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 商户信息
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 17:54
 */
@Service
public class KmallSellerServiceImpl implements KmallSellerService {

    @Autowired
    private KmallSellerMapper kmallSellerMapper;

    /**
     * 商户信息
     * @param param
     * @return
     */
    @Override
    public List<Seller> getSeller(Map<String, Object> param) {
        return kmallSellerMapper.getSeller(param);
    }

}
