package com.emato.ccnet.domain.kmall;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 订单商品明细
 * @author Scott Chen
 * @version 1.0
 * 2017-11-06 11:54
 */
public class OrderGoods implements Serializable {

    private static final long serialVersionUID = 8991789044169524120L;

    private String orderNo;
    //商品货号,SKU
    private String goodsNo;
    //订单商品数量
    private BigDecimal goodsNums;
    //销售单价
    private BigDecimal sellPrice;

    //销售总价
    private BigDecimal sellTotalPice;

    /**
     * 企业商品名称
     */
    private String name;

    /**
     *企业商品描述
     */
    private String content;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGoodsNo() {
        return goodsNo;
    }

    public void setGoodsNo(String goodsNo) {
        this.goodsNo = goodsNo;
    }

    public BigDecimal getGoodsNums() {
        return goodsNums;
    }

    public void setGoodsNums(BigDecimal goodsNums) {
        this.goodsNums = goodsNums;
    }

    public BigDecimal getSellPrice() {
        return sellPrice;
    }

    public void setSellPrice(BigDecimal sellPrice) {
        this.sellPrice = sellPrice;
    }

    public BigDecimal getSellTotalPice() {
        return sellTotalPice;
    }

    public void setSellTotalPice(BigDecimal sellTotalPice) {
        this.sellTotalPice = sellTotalPice;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
