package com.emato.ccnet.service.ccent;

import com.emato.ccnet.domain.ccnet.CusOrder;

import java.util.List;

public interface CusOrderService {
    /**
     * 电子订单初始化
     * @param list
     * @return
     */
    int addCusOrder(List list);

    /**
     * 查找当前ccnet中的所有电子订单
     * @return
     */
    List<CusOrder> findAllCusOrder();

    /**
     * 查找电子订单
     * @param orderSn
     * @return
     */
    CusOrder findCusOrder(String orderSn);

    /**
     * 更新数据
     * @param cusOrder
     * @return
     */
    int updateCusOrder(CusOrder cusOrder);
}
