package com.emato.ccnet.service.ccent;

import com.emato.ccnet.domain.ccnet.CusWaybillStatus;

import java.util.List;
import java.util.Map;

public interface CusWaybillStatusService {
    /**
     * 通过状态和内部订单编号查找海关运单数据
     * @param map
     * @return
     */
    CusWaybillStatus findCusWaybillStatus(Map<String, Object> map);

    /**
     * 更新海关运单数据
     * @param cusWaybillStatus
     * @return
     */
    int updateCusWaybillStatus(CusWaybillStatus cusWaybillStatus);

    /**
     * 批量更新海关运单状态
     * @param list
     * @return
     */
    int updateCusWaybillStatusBatch(List list);
}
