package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.domain.ccnet.CusWaybillGoods;
import com.emato.ccnet.mapper.ccnet.CusWaybillGoodsMapper;
import com.emato.ccnet.service.ccent.CusWaybillGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CusWaybillGoodsImpl implements CusWaybillGoodsService {
    @Autowired
    private CusWaybillGoodsMapper cusWaybillGoodsMapper;
    /**
     * 通过商户订单编号查找运单商品
     * @param merchOrderSn
     * @return
     */
    @Override
    public List<CusWaybillGoods> findCusWaybillGoodsByOrderSn(String merchOrderSn) {
        return cusWaybillGoodsMapper.findCusWaybillGoodsByOrderSn(merchOrderSn);
    }


}
